<?php

namespace App\Http\Livewire\Users;

use LivewireUI\Modal\ModalComponent;
use Illuminate\Support\Facades\DB;

class UserDetailsMod extends ModalComponent
{
    public $userId;

    public function countOrias()
    {
        return DB::table('rh_orias')
            ->where('ORIAS_FKEMPLOYEEID', '=', $this->userId)
            ->count();
    }

    public function countIeam()
    {
        return DB::table('rh_ieam')
            ->where('IEAM_FKEMPLOYEEID', '=', $this->userId)
            ->count();
    }

    public function countAfib()
    {
        return DB::table('rh_afib')
            ->where('AFIB_FKEMPLOYEEID', '=', $this->userId)
            ->count();
    }

    public function userInfo()
    {
        return DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->join('rh_orias', 'rh_employees.EMPLOYEE_ID', '=', 'rh_orias.ORIAS_FKEMPLOYEEID')
            ->join('rh_ieam', 'rh_employees.EMPLOYEE_ID', '=', 'rh_ieam.IEAM_FKEMPLOYEEID')
            ->join('rh_afib', 'rh_employees.EMPLOYEE_ID', '=', 'rh_afib.AFIB_FKEMPLOYEEID')
            ->where('EMPLOYEE_ID', '=', $this->userId)
            ->get();
    }

    public static function modalMaxWidth(): string
    {
        return '7xl';
    }

    public function render()
    {
        return view('livewire.users.user-details-mod', [
            'userInfo' => $this->userInfo(),
            'countOrias' => $this->countOrias(),
            'countIeam' => $this->countIeam(),
            'countAfib' => $this->countAfib(),
        ]);
    }
}
