<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRhDevicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rh_devices', function (Blueprint $table) {
            $table->id();
            $table->string('DEVICE_FKEMPLOYEEID')->nullable();
            $table->string('DEVICE_ID')->nullable();
            $table->string('DEVICE_AADDEVICEID')->nullable();
            $table->dateTime('DEVICE_ENROLLEDDATETIME')->nullable();
            $table->string('DEVICE_MODEL')->nullable();
            $table->string('DEVICE_SERIALNUMBER')->nullable();
            $table->string('DEVICE_DEVICENAME')->nullable();
            $table->dateTime('DEVICE_LASTSYNC')->nullable();
            $table->integer('DEVICE_TOTALSTORAGE')->nullable();
            $table->integer('DEVICE_FREESTORAGE')->nullable();
            $table->foreign('DEVICE_FKEMPLOYEEID')->references('EMPLOYEE_ID')->on('rh_devices');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rh_devices');
    }
}
