@include('layouts.members.stats')

<div class="container-fluid pt-2">
   <div class="row">
      <div class="col-12">
         <div class="card mt-4">
            <div class="card-header p-0 position-relative mt-n4 ms-3 me-3 z-index-2">
               <div class="bg-gradient-icc-orange shadow-primary border-radius-md py-3">
                  <h6 class="text-white text-capitalize ps-4">
                     <div class="text-white me-2 d-flex align-items-center justify-content-between font-semibold">
                        <div class="d-flex align-items-center ">
                           <i class="material-icons opacity-10">{{ $tableTitleIcon }}</i>
                           <span class="ms-1">{{ $tableTitle }}</span>
                        </div>
                        <div class="me-3 text-sm border-white icc-btn-orange">
                           <a onclick='Livewire.emit("openModal", "user-form-mod", {{ json_encode(["userId" => ""]) }})' class="d-flex align-items-center">
                              <span class="me-1">Créer un membre</span>
                              <i class="material-icons opacity-10">add_circle</i>
                           </a>
                        </div>
                     </div>
                  </h6>
               </div>
               <div class="card-body px-0">
                  <div class="table-responsive ps-3 pe-3 mb-2">
                     <table id="usersTable" class="table align-items-center mb-0">
                        <thead>
                           <tr>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7" wire:click="ordonner('Utilisateurs','{{$this->order}}')">Utilisateurs</th>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2">Type de contrat</th>
                              <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7" wire:click="ordonner('Actif','{{$this->order}}')">Statut</th>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Fonction</th>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Agences</th>
                              <th class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">Arrivée</th>
                              <th class="text-secondary opacity-7"></th>
                           </tr>
                        </thead>
                        <tbody>
                           @foreach ($allUsers as $member)
                           <tr>
                              <td>
                                 <div class="d-flex px-2 py-1 ms-2">
                                    <div>
                                       @if ($member->EMPLOYEE_PHOTO)
                                       <img src="{{ $member->EMPLOYEE_PHOTO }}" class="avatar avatar-sm me-3 border-radius-lg" alt="{{ $member->EMPLOYEE_PRENOM }}_{{ $member->EMPLOYEE_NOM }}_id">
                                       @else
                                       <img src="{{ asset('/img/nobody.jpg') }}" class="avatar avatar-sm me-3 border-radius-lg" alt="nobody_id">
                                       @endif
                                    </div>
                                    <a onclick='Livewire.emit("openModal", "user-details-mod", {{ json_encode(["userId" => $member->EMPLOYEE_ID]) }})' name="members_link">
                                       <div class="d-flex flex-column justify-content-center">
                                          <h6 class="mb-0 text-sm font-semibold">{{ $member->EMPLOYEE_NOM }} {{ $member->EMPLOYEE_PRENOM }}</h6>
                                          <p class="text-xs text-secondary mb-0">{{ $member->EMPLOYEE_EMAILPRO }}</p>
                                       </div>
                                    </a>
                                 </div>
                              </td>
                              <td class="align-middle text-sm">
                                 <span class="text-xs text-secondary mb-0">{{ $member->EMPLOYEE_TYPECONTRAT }}</span>
                              </td>
                              <td class="align-middle text-center text-sm">
                                 @if ($member->EMPLOYEE_COMPTEACTIF == '1')
                                 <span class="badge badge-sm bg-gradient-success">Actif</span>
                                 @elseif ($member->EMPLOYEE_COMPTEACTIF == '0')
                                 <span class="badge badge-sm bg-gradient-icc-orange">Inactif</span>
                                 @endif
                              </td>
                              <td>
                                 <p class="text-xs font-weight-bold mb-0 ms-3">{{ $member->EMPLOYEE_STATUT }}</p>
                                 <p class="text-xs text-secondary mb-0 ms-3">{{ $member->EMPLOYEE_FONCTION }}</p>
                              </td>
                              <td>
                                 <?php
                                 $agence = $member->AGENCE_NOM;
                                 $md5Agence = md5($agence);
                                 $couleurAgence = substr($md5Agence, -6);
                                 ?>
                                 <div class="flex flex-wrap ms-3">
                                    <a onclick='Livewire.emit("openModal", "agence-details-mod", {{ json_encode(["agenceId" => $member->EMPLOYEE_FKAGENCEID]) }})' name="agence_link" class="px-2 font-medium rounded-sm icc-etiquette-info">
                                       <strong class="text-xs">{{ $member->AGENCE_NOM }}</strong>
                                    </a>
                                 </div>
                              </td>
                              <td class="align-middle text-center">
                                 @if($member->EMPLOYEE_DATEARRIVEE != null)
                                 <?php
                                 $dateArrivee = date('d/m/Y', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                 $dateArriveeCachee = date('Y/m/d', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                 ?>
                                 @else
                                 <?php
                                 $dateArrivee = "-";
                                 $dateArriveeCachee = "-";
                                 ?>
                                 @endif
                                 <span hidden>{{ $dateArriveeCachee }}</span>
                                 <span class="text-secondary text-xs font-weight-bold">{{ $dateArrivee }}</span>
                              </td>
                              <td class="align-middle">
                                 <a wire:click='$emit("openModal", "user-form-mod", @json(["userId" => $member->EMPLOYEE_ID]))' class="font-semibold">
                                    <span class="material-icons">mode_edit</span>
                                 </a>
                              </td>
                           </tr>
                           @endforeach
                        </tbody>
                     </table>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>

<script type="text/javascript">
   $(document).ready(function() {
      $('#usersTable').DataTable();
   });
</script>