<?php echo $__env->make('layouts.dashboard.stats', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="container-fluid pt-2">
    <div class="row">
        <div class="col-lg-4 col-md-0 mt-4 mb-4">
            <div class="card z-index-2  ">
                <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2 bg-transparent">
                    <div class="bg-gradient-primary shadow-primary border-radius-lg py-3 pe-1">
                        <div class="chart">
                            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('dashboard.dashboard-graphics-mod')->html();
} elseif ($_instance->childHasBeenRendered('l1000170848-0')) {
    $componentId = $_instance->getRenderedChildComponentId('l1000170848-0');
    $componentTag = $_instance->getRenderedChildComponentTagName('l1000170848-0');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('l1000170848-0');
} else {
    $response = \Livewire\Livewire::mount('dashboard.dashboard-graphics-mod');
    $html = $response->html();
    $_instance->logRenderedChild('l1000170848-0', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <?php
                        $hiresStats = 0;
                        foreach ($hiresNumber as $hire) {
                            $hiresStats += $hire;
                        }
                    ?>
                    <h6 class="mb-0 "> Recrutements sur les 5 derniers mois et le mois à venir</h6>
                    <p class="text-sm mb-4"> Total : <span class="font-weight-bolder"><?php echo e($hiresStats); ?></span>
                        recrutements.</p>
                    
                    
                </div>
            </div>
        </div>
        <div class="col-8">
            <div class="card mt-4">
                <div class="card-header p-0 position-relative mt-n4 ms-3 me-3 z-index-2">
                    <div class="bg-gradient-icc-orange shadow-primary border-radius-md py-3">
                        <h6 class="text-white text-capitalize ps-4">
                            <div class="text-white me-2 d-flex align-items-center font-semibold">
                                <em class="material-icons opacity-10"><?php echo e($tableTitleIcon); ?></em>
                                <span class="ms-1"><?php echo e($tableTitle); ?></span>
                            </div>
                        </h6>
                    </div>
                    <div class="card-body px-0">
                        <div class="table-responsive ps-3 pe-3 mb-2">
                            <table id="table_hires" class="table align-items-center mb-0">
                                <thead>
                                    <tr>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-1">
                                            Utilisateurs</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-1">
                                            Statut</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-1">
                                            Fonction</th>
                                        
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-1">
                                            Date arrivée</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-1">
                                            Email</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $lastHires; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td>
                                                <div class="d-flex px-2 py-1 ms-2">
                                                    <div>
                                                        <?php if($member->EMPLOYEE_PHOTO): ?>
                                                            <img src="<?php echo e($member->EMPLOYEE_PHOTO); ?>"
                                                                class="avatar avatar-sm me-3 border-radius-lg"
                                                                alt="<?php echo e($member->EMPLOYEE_PRENOM); ?>_<?php echo e($member->EMPLOYEE_NOM); ?>_id">
                                                        <?php else: ?>
                                                            <img src="<?php echo e(asset('/img/nobody.jpg')); ?>"
                                                                class="avatar avatar-sm me-3 border-radius-lg"
                                                                alt="nobody_id">
                                                        <?php endif; ?>
                                                    </div>
                                                    <a onclick='Livewire.emit("openModal", "users.user-details-mod", <?php echo e(json_encode(['userId' => $member->EMPLOYEE_ID])); ?>)'
                                                        name="members_link">
                                                        <div class="d-flex flex-column justify-content-center">
                                                            <h6 class="mb-0 text-sm font-semibold">
                                                                <?php echo e($member->EMPLOYEE_NOM); ?>

                                                                <?php echo e($member->EMPLOYEE_PRENOM); ?></h6>
                                                            <p class="text-xs text-secondary mb-0">
                                                                <?php echo e($member->EMPLOYEE_EMAILPRO); ?></p>
                                                        </div>
                                                    </a>
                                                </div>
                                            </td>
                                            <td class="align-middle text-center text-sm">
                                                <?php if($member->EMPLOYEE_COMPTEACTIF == '1'): ?>
                                                    <span class="badge badge-sm bg-gradient-success">Actif</span>
                                                <?php elseif($member->EMPLOYEE_COMPTEACTIF == '0'): ?>
                                                    <span class="badge badge-sm bg-gradient-icc-orange">Inactif</span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <p class="text-xs font-weight-bold mb-0 ms-3">
                                                    <?php echo e($member->EMPLOYEE_STATUT); ?></p>
                                                <p class="text-xs text-secondary mb-0 ms-3">
                                                    <?php echo e($member->EMPLOYEE_FONCTION); ?></p>
                                            </td>
                                            
                                            <td class="align-middle text-center">
                                                <?php if($member->EMPLOYEE_DATEARRIVEE != null): ?>
                                                    <?php
                                                        $dateArrivee = date('d/m/Y', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                                        $dateArriveeCachee = date('Y/m/d', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $dateArrivee = '-';
                                                        $dateArriveeCachee = '-';
                                                    ?>
                                                <?php endif; ?>
                                                <span hidden><?php echo e($dateArriveeCachee); ?></span>
                                                <span
                                                    class="text-secondary text-xs font-weight-bold"><?php echo e($dateArrivee); ?></span>
                                            </td>
                                            
                                            <td class="align-middle text-center">
                                                <a href="<?php echo e(route('user_credentials_email', ['userId' => $member->EMPLOYEE_ID])); ?>"
                                                    title="Envoyer les nouveaux accès par courriel à <?php echo e($member->EMPLOYEE_PRENOM); ?> <?php echo e($member->EMPLOYEE_NOM); ?>"
                                                    class="font-semibold">
                                                    <span class="material-icons">email</span>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH C:\Users\FlorianLalanne\Desktop\GITLAB_PROJECTS\icc-si\Applications\dashboard_gestion_rh\resources\views/layouts/dashboard/hire-table.blade.php ENDPATH**/ ?>