<!--
=========================================================
* Material Dashboard 2 - v=3.0.2
=========================================================

* Based on :
* Product Page: https://www.creative-tim.com/product/material-dashboard
* Copyright 2022 Creative Tim (https://www.creative-tim.com)
* Licensed under MIT (https://www.creative-tim.com/license)
* Coded by Creative Tim

* Customized for ICC Finance needs by ICC Finance
=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
-->
<!DOCTYPE html>
<html lang="fr">
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="apple-touch-icon" sizes="76x76" href="./material/img/apple-icon.png">
    <link rel="icon" type="image/png" href="./material/img/favicon.png">
    <title>
        <?php echo e(env('APP_NAME')); ?>

    </title>
    <!-- Tailwind -->
    <script src="https://cdn.tailwindcss.com/"></script>
    <!--     Fonts and icons     -->
    <link rel="stylesheet" type="text/css"
        href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900|Roboto+Slab:400,700" />
    <!-- Nucleo Icons -->
    <link href="./material/css/nucleo-icons.css" rel="stylesheet" />
    <link href="./material/css/nucleo-svg.css" rel="stylesheet" />
    <!-- Font Awesome Icons -->
    <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>
    <!-- Material Icons -->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons+Round" rel="stylesheet">
    <!-- CSS Files -->
    <link id="pagestyle" href="./material/css/material-dashboard.css?v=3.0.2" rel="stylesheet" />
    <!-- Icons font CSS-->
    <link href="<?php echo e(asset('/vendor/fontawesome-free-6.1.1-web/css/all.min.css')); ?>" rel="stylesheet" media="all">
    <!-- Charts JS-->
    <script src="./material/js/plugins/chartjs.min.js"></script>
    <!-- Alpine v3 -->
    <script defer src="https://unpkg.com/alpinejs@3.x.x/dist/cdn.min.js"></script>
    <!-- ICC CSS -->
    <link href="./css/icc-style.css" rel="stylesheet" />
</head>

<body class="g-sidenav-show">

    <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('layouts.side-bar-mod', ['activePage' => $activePage])->html();
} elseif ($_instance->childHasBeenRendered('IhDm4Yl')) {
    $componentId = $_instance->getRenderedChildComponentId('IhDm4Yl');
    $componentTag = $_instance->getRenderedChildComponentTagName('IhDm4Yl');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('IhDm4Yl');
} else {
    $response = \Livewire\Livewire::mount('layouts.side-bar-mod', ['activePage' => $activePage]);
    $html = $response->html();
    $_instance->logRenderedChild('IhDm4Yl', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>

    <main class="main-content position-relative icc-height-content h-100 border-radius-lg mt-3">

        <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount($requestedTable, [
            'tableLayout' => $tableLayout,
            'tableTitleIcon' => $tableTitleIcon,
            'tableTitle' => $tableTitle,
        ])->html();
} elseif ($_instance->childHasBeenRendered('RlRvNsL')) {
    $componentId = $_instance->getRenderedChildComponentId('RlRvNsL');
    $componentTag = $_instance->getRenderedChildComponentTagName('RlRvNsL');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('RlRvNsL');
} else {
    $response = \Livewire\Livewire::mount($requestedTable, [
            'tableLayout' => $tableLayout,
            'tableTitleIcon' => $tableTitleIcon,
            'tableTitle' => $tableTitle,
        ]);
    $html = $response->html();
    $_instance->logRenderedChild('RlRvNsL', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>

    </main>

    <!--   Core JS Files   -->
    <script src="./material/js/core/popper.min.js"></script>
    <script src="./material/js/core/bootstrap.min.js"></script>
    <script src="./material/js/plugins/perfect-scrollbar.min.js"></script>
    <script src="./material/js/plugins/smooth-scrollbar.min.js"></script>
    <script>
        var win = navigator.platform.indexOf('Win') > -1;
        if (win && document.querySelector('#sidenav-scrollbar')) {
            var options = {
                damping: '0.5'
            }
            Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
        }
    </script>
    <!-- Github buttons -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>
    <!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
    <script src="./material/js/material-dashboard.min.js?v=3.0.2"></script>

    <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('livewire-ui-modal')->html();
} elseif ($_instance->childHasBeenRendered('MKPZdWK')) {
    $componentId = $_instance->getRenderedChildComponentId('MKPZdWK');
    $componentTag = $_instance->getRenderedChildComponentTagName('MKPZdWK');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('MKPZdWK');
} else {
    $response = \Livewire\Livewire::mount('livewire-ui-modal');
    $html = $response->html();
    $_instance->logRenderedChild('MKPZdWK', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
    <?php echo \Livewire\Livewire::scripts(); ?>

    
</body>

</html>
<?php /**PATH C:\Users\FlorianLalanne\Desktop\GITLAB_PROJECTS\icc-si\Applications\dashboard_gestion_rh\resources\views/layouts/app.blade.php ENDPATH**/ ?>